Customer Hold Details (Basic Authentication)

Generated from cURL: curl --location --request GET 'https://api.pre-prod.ozonetel.com/ca_reports/getCustomerHoldData'
--header 'apiKey: KK00b15555afb7066312663b969a75f74d'
--header 'Content-Type: application/json'
--header 'Cookie: PHPSESSID=5be55a628ab1638d78e20f64678f90ea; PHPSESSID=ed286ff09068f8cfdc0fc352184e40de'
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJwcmVwcm9kIiwiZXhwIjoxNzMyNzkzMDAwLCJpYXQiOjE3MzI3ODk0MDB9.dRtSMc4Rmfjn-w9SPWq9F1hQlfTeRMqzcioc8WIZ8s-x0SDItBLwii9hqu5HcCeoK9ZbqRhHeoNmNdIJmiXK_A'
--data '{

"fromDate": "2024-11-28",  

"toDate":"2024-11-28",

"userName": "preprod"

}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Used to retrieve the hold time duration for historical call records. Response data includes all details regarding hold time duration within a call.

❗️

Rate Limit:

A maximum of 5 requests per minute is allowed.

👍

Note:

Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.


📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

Header parameters

ParameterDescription
apiKey*Your CloudAgent account API Key
Content-Typeapplication/json

Body Params

{
"fromDate": "2024-11-28",
"toDate": "2024-11-28",
"userName": "xxxxx"
}

Possible responses

Success response"status": 1
"message": "Success", "data": {xxxxx}
Invalid apiKey"status": 0
"message": "No user found", "data": ""
Invalid userName"status": 0
"message": "No user found", "data": ""
Invalid Date format"status": 0
"message": "Please pass the data in following format yyyy-mm-dd", "data": ""
Missing mandatory parameters"status": 0
"message": "All parameters are mandatory", "data": ""
Get requests when another process is running"status": 0
"message": "Already request is in progress, please try again", "data": ""
No records found"status": 1
"message": "No data found", "data": []
Body Params
Headers
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!